---
layout: handbook-page-toc
title: Product Division OKRs
---
## On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}


<%= partial("handbook/product/product-handbook-links") %>

## Product Division OKR Overview

For an overview of our overall approach to OKRs, as well as any company-wide OKR due dates, visit [Objectives and Key Results (OKRs)](https://about.gitlab.com/company/okrs/). 

### General timeline and process 

![General timeline and process ](/handbook/product/product-okrs/prod-okr-timeline.png)

### Guidance on timeline and process

This page provides an overview of the Product Division OKR workflow. All departments (product management, UX, etc.) collaborate by following this guidance. For clarifications on the OKR process, team members can post in Slack #product. 

## Timeline and process for every quarter

### OKR Kick-off by Chief Product Officer

- **5 weeks** prior to the start of the  quarter, an [automated drafting issue](https://gitlab.com/gitlab-com/Product/-/blob/main/.gitlab/issue_templates/Product-Division-OKR-Drafting.md) kicks off the OKR drafting process: 
     - Product EBA updates the issue with due dates and signals the Chief Product Officer the drafting issue is available for drafting
- **4 weeks** prior to the start of the quarter: 
     - CProdO drafts Product Division OKRs aligned to the [annual product investment themes](https://about.gitlab.com/direction/#fy23-product-investment-themes) and annual [Yearlies](https://about.gitlab.com/company/yearlies/) leveraging the [drafting issue](https://gitlab.com/gitlab-com/Product/-/blob/main/.gitlab/issue_templates/Product-Division-OKR-Drafting.md)
- **3 weeks** prior to the start of the quarter:
     - CProdO shares proposed Product OKRs with Product Leadership Team
     - Product Leadership team provides their feedback or any alternate OKRs in the drafting issue
- **2 weeks** prior to the start to quarter:
     - CProdO shares Product OKRs with the Product Team
- **1 weeks** prior to start of fiscal quarter:
     - Produt EBAs create high level OKRs in GitLab and tag in Product Managers to finalize KR drafts with their [Product Grooup/Quad](https://about.gitlab.com/handbook/product/product-processes/#quad--infra--security-product-group-dris)
     - Product Leadership to review all their Product Managers' OKRs and finalize their teams' OKR committments 
- **Ongoing** after quarter start: 
     - KR Owners update scores monthly 
     
### Current quarter OKR references

- [FY23 Q4 Product Division OKRs](https://gitlab.com/groups/gitlab-com/-/epics/2050)
- [FY23 Q4 OKR overview video](https://youtu.be/lnaKB1P28S4)
- [FY23 Q4 feedback issue](https://gitlab.com/gitlab-com/Product/-/issues/5212)
- [FY24 Q1 company-wide OKR timeline](https://about.gitlab.com/company/okrs/fy24-q1/#okr-schedule)

#### Past Quarters

Product Division (PM and UX) OKRs for the following quarters can be found in this [sheet](https://docs.google.com/spreadsheets/d/1eDbadMdoXDnyUK_Homr-ilCQSsaeOGDsflc8FNmMyGs/edit#gid=622042351) as Ally.io usage is has been sunsetted:

- FY23 Q3
- FY23 Q2
- FY23 Q1
- FY22 Q4
- FY22 Q3

- [Product OKRs FY22 Q2](https://gitlab.com/gitlab-com/Product/-/issues/2376)
- [Product OKRs FY22 Q1](https://gitlab.com/gitlab-com/Product/-/issues/1914)
- [Product OKRs FY21 Q4](https://gitlab.com/gitlab-com/Product/-/issues/1566)
- [Product OKRs FY21 Q3](https://gitlab.com/gitlab-com/Product/-/issues/1320)


## Updating the Status and Progress of OKRs 

### When to update the status of Product OKRs

1. For all Product team OKRs, the KR owners are responsible for keeping the status of their KRs in [GitLab](/company/okrs/#how-to-use-gitlab-for-okrs) up to date
     - Team members who **own** specific OKRs will update [the score (% complete) in GitLab](/company/okrs/#scoring-okrs) monthly and ping any relevant stakeholders as needed. For example, since FY23-Q1 begins February 1, KR owners will provide score updates by February 15,  March 15 and April 15. We follow this mid-month cycle to ensure there are accurate OKR status updates for [Key Reviews](/handbook/key-review/) which typically happen around the 20th of each month.
2. **Owners** of KRs will get pinged with reminders update their KRs via Slack around the 5th of each month.
3. **Owners** of KRs will also get pinged in the [Product Key Review issue](https://gitlab.com/gitlab-com/Product/-/issues/2919) as needed to update the Product Key Review slides around the 18th of each month based on what is in GitLab.

#### How to report progress of Product OKRs

- Prior to the start of each quarter, shared product KR owners should lead and align on a plan for the [Product Group](/handbook/product/product-processes/#quad--infra--security-product-group-dris) to accomplish their KRs.
- For guidance on how to structure and score OKRs, refer to the Scoring OKRs section on the GitLab OKRs page (/company/okrs/#scoring-okrs).
- At the end of each quarter the OKR owner will do a final scoring of the OKRs. If the OKR shifted from the original OKR, always score the the latest agreed to KRs that are still valid. 

### Sharing OKR completion at the end of the quarter

During the first two weeks of a new quarter, every Product stage should complete an OKR retrospective leveraging the [Product OKR Retrospective template](https://gitlab.com/gitlab-com/Product/-/issues/new?issuable_template=Product-OKR-Retrospective). The retrospective DRI is the PM leading the stage. Beyond the stage members, the product and engineering lead of the section needs to be invited to the retrospective. 

We recommend sharing the results of the retrospectives with `@gl-product` and other relevant stakeholders.

### How to change an OKR within the quarter

In certain circumstances, it is appropriate to [change an OKR within the quarter](/company/okrs/#making-changes-within-quarter). To make a change to an OKR: 
1. OKR assignee review: The OKR assignee needs to review and agree to the proposed OKR change. 
2. Tradeoffs review and communication: OKR assignee should ensure that the right tradeoffs are made to make the OKR feasible for the quarter. 
   1. If another OKR needs to be deprioritized this should be clearly outlined as part of the OKR change. 
   2. If an OKR that needs to be deprioritized is a shared OKR, or a dependency for another team's work, the other teams and stakeholders must be informed of the change and their feedback considered. 
3. Inform manager: As part of making the OKR change, the assignee should inform his manager and impacted stakeholders, including any owner of an objective that this OKR rolls up to and owners of OKRs below the one being changed. 
4. Track the change and update the OKR: Once the manager and impacted stakeholders acknowledge the change, the assignee should: 
   1. Update the description of the parent objective to add a summary of the change and link to the rationale. This helps keep track of OKR changes throughout the quarter. 
   2. Update the actual OKR in the GitLab OKR tracker to reflect the latest agreed to OKR. 

### How this will look in Product Key Review slides

- Product team OKR owners may leverage this [slide template](https://docs.google.com/presentation/d/1O5Kc1kpJJBm5aJFT24V05xuR3pHjCGzID-QkYcUSZ5k/edit#slide=id.geb1b1c60d1_1_4) if additional details are needed for their KRs

## How to write OKRs

Product groups should limit the number of OKRs they commit to so they have reasonable bandwidth to deliver. When planning OKRs: 
1. Consider non-OKR commitments. While OKRs are the big commitments that the team is making for the quarter, they [do not supersede core team members responsibilities](/company/okrs/#how-do-i-prioritize-okrs-in-light-of-other-priorities). For R&D, this means retaining team capacity beyond OKRs for work that falls higher in our [prioritization framework](/handbook/product/product-processes/#prioritization-framework), such as forced prioritization items with an SLA/SLO. Meeting SLOs is not an OKR, as [OKRs focus on what's different](/company/okrs/#okrs-are-what-is-different).
   1. Other than core team member responsibilities such as those outlined above, all other major commitments should be prioritized via OKRs and consider team bandwidth. 
   2. If a team gets a request for a major effort within the quarter, they can change the OKR by following the guidelines above about [how to change an OKR within the quarter](#how-to-change-an-okr-within-the quarter)
2. Plan for [OKRs to be ambitious, but achievable](/company/okrs/#criteria-for-key-results) within the team capacity that you have for OKRs. While OKRs are meant to be ambitious, [you should aim to complete them](/company/okrs/#how-do-i-prioritize-okrs-in-light-of-other-priorities) and strive to hit the ambitious plan. We recognize that with ambitious planning some OKRs will not be completed, but it is striving and reporting on OKRs with the goal of hitting 100% that helps us accomplish strong results. We score individual OKRs as "on track" when they are at least 80% complete. In aggregate, we expect that the average completion score across OKRs is 70%.
3. [Review cascading OKRs](/company/okrs/#cascading-okrs-and-how-to-align-division-okrs-to-the-ceo-okrs) first and allocate time for those. Cascading OKRs are those at the CEO level or Product Division level that need your group's contributions to be achieved. You should prioritize these first. 
4. It is OK to push back on OKRs. If you can't prioritize a cascading or shared OKR due to more important work, contact the owner of the OKR and make adjustments so that it is achievable without your team's contribution, or remove it. It is OK to do this, with clear communication and collaboration. It is not acceptable to simply ignore the cascading OKR or shared OKR without clear upfront communication and prioritize other work instead. 
5. When writing OKRs, follow our company guidelines on [how to write OKRs](/company/okrs/#how-to-write-okrs). In particular, focus on outcomes, not tasks, and make key results measurable. 
6. For any OKR with a dependency, make sure to get [commitment on the dependency](/company/okrs/#dependency-commitments) with [shared objectives](/company/okrs/#shared-objectives). If you don't get commitment in the shared objective, make changes as needed to keep to feasible OKRs. 

## Additional Resources

- [What Matters](https://www.whatmatters.com/)

## Timeline and process for previous quarters

For previous quarters, please see [previous quarter OKR timelines](/handbook/product/product-okrs/previous-quarters/)

## How to contribute to this page

We encourage suggestions and improvements to the Product OKR process so please feel free to raise an MR to this page. To keep us all aligned, as the process touches all teams across the company.
